Package oracle.nosql.driver.ops

# Class ReplicaStatsResult

java.lang.Object
oracle.nosql.driver.ops.Result
oracle.nosql.driver.ops.ReplicaStatsResult

public class ReplicaStatsResult extends Result
Cloud service only.

ReplicaStatsResult is returned from `NoSQLHandle.getReplicaStats(oracle.nosql.driver.ops.ReplicaStatsRequest)`. It contains replica statistics for the requested table.

Since:
  5.4.13
See Also:
  - `NoSQLHandle.getReplicaStats(oracle.nosql.driver.ops.ReplicaStatsRequest)`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ReplicaStatsResult.ReplicaStats`
  ReplicaStats contains information about replica lag for a specific replica.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplicaStatsResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getNextStartTime()`
  Returns the next start time.
  `Map<String,ReplicaStatsResult.ReplicaStats[]>`
  `getStatsRecord()`
  Returns replica statistics information based on the arguments of the `ReplicaStatsRequest` used for the request.
  `String`
  `getTableName()`
  Returns the table name used by the operation

  ### Methods inherited from class oracle.nosql.driver.ops.Result

  `getRateLimitDelayedMs, getRetryStats`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReplicaStatsResult

    public ReplicaStatsResult()

- ## Method Details

  - ### getTableName

    public String getTableName()
    Returns the table name used by the operation
    Returns:
      the table name

  - ### getNextStartTime

    public long getNextStartTime()
    Returns the next start time. This can be provided to `ReplicaStatsRequest` to be used as a starting point or listing replica stats records.
    Returns:
      the next start time

  - ### getStatsRecord

    public Map<String,ReplicaStatsResult.ReplicaStats[]> getStatsRecord()
    Returns replica statistics information based on the arguments of the `ReplicaStatsRequest` used for the request. It will contain stats for either one replica or all replicas.
    Returns:
      a map of replica name to replica stats information collection